#ifndef BALLPROJECT_H
#define BALLPROJECT_H

#include "Project.h"
#include "FixVec.h"
#include "ProblemScal.h"

using namespace AMDiS;

class Balldemo : public Project {
  ProblemScal ball;
  WorldVector< double >* ballCenter;
  AdaptInfo* adaptInfo;
  AdaptStationary* adapt;
  Operator* matrixOperator;
  Operator* rhsOperator;
  public:
    Balldemo() ;
    ~Balldemo() ;
    void create(std::string& ) ;
    int solve(SolutionInformation&);

};
#endif
